### Struct

# WebKit ScriptDialog

#### Description [src]

    struct WebKitScriptDialog {
      /* No available fields */
    }

Carries details to be shown in user-facing dialogs.

#### Instance methods

###### webkit_script_dialog_close

Close `dialog`.

since: 2.24

###### webkit_script_dialog_confirm_set_confirmed

Set whether the user confirmed the dialog.

###### webkit_script_dialog_get_dialog_type

Get the dialog type of a `WebKitScriptDialog`.

###### webkit_script_dialog_get_message

Get the message of a `WebKitScriptDialog`.

###### webkit_script_dialog_prompt_get_default_text

Get the default text of a `WebKitScriptDialog` of type `WEBKIT_SCRIPT_DIALOG_PROMPT`.

###### webkit_script_dialog_prompt_set_text

Set the text entered by the user in the dialog.

###### webkit_script_dialog_ref

Atomically increments the reference count of `dialog` by one.

since: 2.24

###### webkit_script_dialog_unref

Atomically decrements the reference count of `dialog` by one.

since: 2.24